﻿using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Interactive;
using Syncfusion.Pdf.Parsing;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApplication8
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        private void button1_Click(object sender, EventArgs e)
        {
            //Load the PDF document.
            PdfLoadedDocument loadedDocument = new PdfLoadedDocument("../../data/Form.pdf");

            //Get the loaded form.
            PdfLoadedForm loadedForm = loadedDocument.Form;

            //Get the loaded form field and modify the properties.
            (loadedForm.Fields["FullName"] as PdfLoadedTextBoxField).Text = "";
            (loadedForm.Fields["Address"] as PdfLoadedTextBoxField).Text = "";
            (loadedForm.Fields["DateField"] as PdfLoadedTextBoxField).Text = DateTime.Today.ToShortDateString();

            //Save the document
            MemoryStream ms = new MemoryStream();
            loadedDocument.Save(ms);

            PdfLoadedDocument ldoc = new PdfLoadedDocument(ms);
            PdfLoadedForm form = ldoc.Form;
            //get the field value
            string dateField = (form.Fields["DateField"] as PdfLoadedTextBoxField).Text;

            MessageBox.Show("Today's Date: " + dateField);

            ldoc.Save("Sample.pdf");
        }
    }
}
